<?php 
include('../../../../configuracion.php');
include('../config.php');
$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row(TABLA,'*',"id='$id'");

///////////////////////////////////////////////////////

$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$marca = isset($_POST['marca']) ? $_POST['marca'] : NULL;
$beneficio = isset($_POST['beneficio']) ? $_POST['beneficio'] : NULL;
$url = isset($_POST['url']) ? $_POST['url'] : NULL;

$descripcion = isset($_POST['descripcion']) ? $_POST['descripcion'] : NULL;

$valor = isset($_POST['valor']) ? $_POST['valor'] : NULL;
if(isset($valor)){
	$valores = serialize($valor);
}else{
	$valores = "";
}



$nombre = funcion::LimpiaComillaSimple($nombre);
$descripcion = funcion::LimpiaComillaSimple($descripcion);

$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'nombre'			=> $db->string($nombre),
			'marca'				=> $db->string($marca),
			'url'				=> $db->string($url),
			'beneficio'			=> $db->string($beneficio),
			'descripcion'		=> $db->string($descripcion,html),
			'editor'			=> @$editor+0,
			'fecha_edicion'		=> $db->string($fecha_edicion)
		);

		if ($db->update(TABLA,$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'Edición exitosa.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar';
			$url_respuesta = MAGO."c/".MODULO.'/editar/'.$id;
		}


		include_once 'class.upload.php';
if(isset($_FILES['icono'])){		
	$imagenback = new upload($_FILES['icono']);
	
	// Comprobamos si se subió la imagen
	if ($imagenback->uploaded) {

	// Borramos las imágenes anteriores
	@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->icono);
		 
	// ===================================================================================
	// CREAMOS LA IMAGEN ORIGINAL
		  
		  $imagenback->image_convert			= 'jpg';
		  $imagenback->jpeg_quality				= 92;
		  $imagenback->allowed					= array('image/*');
		  $imagenback->file_new_name_body		= 'icono-'.$id.date("U");
		  $imagenback->image_resize				= true;
		  $imagenback->image_ratio_crop			= true;
		  $imagenback->image_background_color	= '#FFFFFF';
		  $imagenback->image_x				    = 260; /* Ancho */
		  $imagenback->image_y					= 100; /* Alto */
		  //$imagenback->image_x					= 1920; /* Ancho */
		  //$imagenback->image_y					= 845; /* Alto */
		  
		  $imagenback->process('../../../../imagenes/'.FOLDER.'/');
		  if ($imagenback->processed) {
			  
			// Subimos a la base de datos
			$datos = array(
				'icono'	=> $db->string($imagenback->file_dst_name),
			);		
			$db->update(TABLA,$datos,"id='$id'");	
			
			} 
	// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
	// ===================================================================================
			
	}}
	
		
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>